//
// Created by Krad on 2021/10/8.
//

#ifndef GUI_SCANFORMWIDGET_H
#define GUI_SCANFORMWIDGET_H

#include "tabformwidget.h"
#include <functional>
class PatientInformationForm;
class ScanFormWidget :public TabFormWidget {
        Q_OBJECT
public:
    explicit ScanFormWidget(QWidget *parent = nullptr);
    ~ScanFormWidget();
    void setPreviewing(bool val);
private:
    PatientInformationForm* pat_inf= nullptr;
    bool unset = true;
    bool previewing= false;
    std::function<void(bool)> previewfunc = nullptr;
    int currentFrame = 0;
private slots:
    void protocolChanged(int type);

};


#endif //GUI_SCANFORMWIDGET_H
